aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/mozilla-scm.eclass225
-rw-r--r--eclass/speed-mercurial.eclass141
-rw-r--r--net-libs/xulrunner/files/default-prefs.js (renamed from net-libs/xulrunner/files/xulrunner-default-prefs.js)0
-rw-r--r--net-libs/xulrunner/xulrunner-9999.ebuild55
-rw-r--r--www-client/firefox/files/default-prefs.js (renamed from www-client/firefox/files/firefox-default-prefs.js)0
-rw-r--r--www-client/firefox/firefox-9999.ebuild87
6 files changed, 238 insertions, 270 deletions
diff --git a/eclass/mozilla-scm.eclass b/eclass/mozilla-scm.eclass
new file mode 100644
index 0000000..925401a
--- /dev/null
+++ b/eclass/mozilla-scm.eclass
@@ -0,0 +1,225 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/mercurial.eclass,v 1.15 2010/11/17 18:42:03 nelchael Exp $
+
+# @ECLASS: mercurial.eclass
+# @MAINTAINER:
+# Krzysztof Pawlik <nelchael@gentoo.org>
+# Dirkjan Ochtman <djc@gentoo.org>
+# @BLURB: This eclass provides generic mercurial fetching functions
+# @DESCRIPTION:
+# This eclass provides generic mercurial fetching functions. To fetch sources
+# from mercurial repository just set EHG_REPO_URI to correct repository URI. If
+# you need to share single repository between several ebuilds set EHG_PROJECT to
+# project name in all of them.
+
+WANT_AUTOCONF="2.1"
+
+inherit eutils flag-o-matic toolchain-funcs eutils prefix mozconfig-3 makeedit multilib pax-utils autotools python speed-mercurial
+[[ "${PN}" != "xulrunner" ]] && inherit fdo-mime mozextension
+
+EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst
+
+RDEPEND="
+ >=sys-devel/binutils-2.16.1
+ >=dev-libs/nss-3.12.9
+ >=dev-libs/nspr-4.8.7
+ >=app-text/hunspell-1.2
+ >=x11-libs/cairo-1.10.2[X]
+ x11-libs/pango[X]
+ media-libs/libpng[apng]
+ alsa? ( media-libs/alsa-lib )
+ webm? ( media-libs/libvpx )
+ libnotify? ( >=x11-libs/libnotify-0.4 )
+ system-sqlite? ( >=dev-db/sqlite-3.7.4[fts3,secure-delete,unlock-notify] )
+ wifi? ( net-wireless/wireless-tools )
+ "
+[[ "${PN}" != "xulrunner" ]] && RDEPEND+="~net-libs/xulrunner-9999[wifi=,libnotify=,mozdom=,system-sqlite=,webm=]"
+
+DEPEND="
+ dev-vcs/mercurial
+ dev-util/pkgconfig
+ "
+
+IUSE="+alsa +ipc libnotify mozdom system-sqlite +webm wifi"
+[[ "${PN}" != "xulrunner" ]] && IUSE+=" startup-notification"
+
+SRC_URI=""
+MAJ_XUL_PV="2.0"
+
+MEXTENSIONS="default"
+use mozdom && MEXTENSIONS+=",inspector"
+
+# @ECLASS-VARIABLE: EHG_REPO_URI
+# @DESCRIPTION:
+# Mercurial repository URI.
+
+# @ECLASS-VARIABLE: EHG_REVISION
+# @DESCRIPTION:
+# Create working directory for specified revision, defaults to tip.
+#
+# EHG_REVISION is passed as a value for --rev parameter, so it can be more than
+# just a revision, please consult `hg help revisions' for more details.
+: ${EHG_REVISION:=tip}
+
+# @ECLASS-VARIABLE: EHG_STORE_DIR
+# @DESCRIPTION:
+# Mercurial sources store directory. Users may override this in /etc/make.conf
+: ${EHG_STORE_DIR:=${PORTAGE_ACTUAL_DISTDIR:-${DISTDIR}}/hg-src}
+
+# @ECLASS-VARIABLE: EHG_QUIET
+# @DESCRIPTION:
+# Suppress some extra noise from mercurial, set it to be quiet.
+
+# @ECLASS-VARIABLE: EHG_CLONE_CMD
+# @DESCRIPTION:
+# Command used to perform initial repository clone.
+: ${EHG_CLONE_CMD:=hg clone ${EHG_QUIET:+--quiet} --pull --noupdate}
+
+# @ECLASS-VARIABLE: EHG_PULL_CMD
+# @DESCRIPTION:
+# Command used to update repository.
+: ${EHG_PULL_CMD:=hg pull ${EHG_QUIET:+--quiet}}
+
+# @ECLASS-VARIABLE: EHG_OFFLINE
+# @DESCRIPTION:
+# Set this variable to a non-empty value to disable the automatic updating of
+# a mercurial source tree. This is intended to be set outside the ebuild by
+# users.
+: ${EHG_OFFLINE:=${ESCM_OFFLINE}}
+
+
+# @ECLASS-VARIABLE: MOZILLA_BONUS_REPOS_URIS
+: ${MOZILLA_BONUS_REPOS_URIS:=}
+
+# @FUNCTION: mercurial_fetch
+# @USAGE: repository_uri
+# @DESCRIPTION:
+# Clone or update repository.
+#
+# If repository URI is not passed it defaults to EHG_REPO_URI, if module is
+# empty it defaults to basename of EHG_REPO_URI, sourcedir defaults to S.
+function mercurial_fetch {
+ debug-print-function ${FUNCNAME} ${*}
+
+ local repo=${1}
+
+ local module="$(basename "${repo}")"
+
+ # Should be set but blank to prevent using $HOME/.hgrc
+ export HGRCPATH=
+
+ # Check ${EHG_STORE_DIR} directory:
+ addwrite "$(dirname "${EHG_STORE_DIR}")" || die "addwrite failed"
+ if [[ ! -d "${EHG_STORE_DIR}" ]]; then
+ mkdir -p "${EHG_STORE_DIR}" || die "failed to create ${EHG_STORE_DIR}"
+ chmod -f g+rw "${EHG_STORE_DIR}" || \
+ die "failed to chown ${EHG_STORE_DIR}"
+ fi
+
+ # Create project directory:
+ mkdir -p "${EHG_STORE_DIR}/mozilla" || \
+ die "failed to create ${EHG_STORE_DIR}/mozilla"
+ chmod -f g+rw "${EHG_STORE_DIR}/mozilla" || \
+ echo "Warning: failed to chmod g+rw mozilla"
+ cd "${EHG_STORE_DIR}/mozilla" || \
+ die "failed to cd to ${EHG_STORE_DIR}/mozilla"
+
+ # Clone/update repository:
+ if [[ ! -d "${module}" ]]; then
+ einfo "Cloning ${repo} to ${EHG_STORE_DIR}/mozilla/${module}"
+ ${EHG_CLONE_CMD} "${repo}" "${module}" || {
+ rm -rf "${module}"
+ die "failed to clone ${repo}"
+ }
+ cd "${module}"
+ elif [[ "${PN}" == "xulrunner" && -z "${EHG_OFFLINE}" ]]; then
+ einfo "Updating ${EHG_STORE_DIR}/mozilla/${module} from ${repo}"
+ cd "${module}" || die "failed to cd to ${module}"
+ ${EHG_PULL_CMD} || die "update failed"
+ fi
+
+ # Checkout working copy:
+ einfo "Creating working directory for ${module} (target revision: ${EHG_REVISION})"
+ hg archive \
+ ${EHG_QUIET_CMD_OPT} \
+ --rev="${EHG_REVISION}" \
+ -R "${EHG_STORE_DIR}/mozilla/${module}" \
+ "${WORKDIR}/${module}" || die "hg clone failed"
+ einfo "Work directory: ${WORKDIR}/${module}"
+}
+
+# @FUNCTION: mercurial_src_unpack
+# @DESCRIPTION:
+function mozilla-scm_src_unpack {
+ mercurial_fetch "http://hg.mozilla.org/mozilla-central/"
+ for repo in ${MOZILLA_BONUS_REPOS_URIS}; do
+ mercurial_fetch "${repo}"
+ done
+}
+
+function mozilla-scm_pkg_setup {
+ # Ensure we always build with C locale.
+ export LANG="C"
+ export LC_ALL="C"
+ export LC_MESSAGES="C"
+ export LC_CTYPE="C"
+
+ if [[ "${PN}" != "xulrunner" ]]; then
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation"
+ fi
+
+ python_set_active_version 2
+}
+
+function mozilla-scm_src_install {
+ MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+ if [[ "${PN}" == "xulrunner" ]]; then
+ MOZILLA_FIVE_HOME+="${MOZLIBDIR}-${MAJ_XUL_PV}"
+ MOZLIBDIR="${MOZILLA_FIVE_HOME}"
+ SDKDIR="/usr/$(get_libdir)/${PN}-devel-${MAJ_XUL_PV}/sdk"
+ else
+ # Install icon and .desktop for menu entry
+ newicon "${S}"/other-licenses/branding/${PN}/content/icon48.png ${PN}-icon.png
+ newmenu "${FILESDIR}"/${PN}.desktop \
+ ${PN}.desktop
+
+ # Add StartupNotify=true bug 237317
+ if use startup-notification ; then
+ echo "StartupNotify=true" >> "${ED}"/usr/share/applications/${PN}.desktop
+ fi
+ fi
+
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ local prefdir="${ED}/${MOZILLA_FIVE_HOME}/defaults/pref"
+ [[ -d "${prefdir}erences" ]] && prefdir+="erences"
+ cp "${FILESDIR}"/default-prefs.js \
+ "${prefdir}/all-gentoo.js" || \
+ die "failed to cp -default-prefs.js"
+}
+
+function mozilla-scm_src_compile() {
+ # Should the build use multiprocessing? Not enabled by default, as it tends to break
+ [ "${WANT_MP}" = "true" ] && jobs=${MAKEOPTS} || jobs="-j1"
+ emake ${jobs} || die
+}
+
+function mozilla-scm_pkg_postinst() {
+ ewarn "This is experimental DO NOT file a bug report unless you can"
+ ewarn "are willing to provide a patch. All bugs that are filled without a patch"
+ ewarn "will be closed INVALID!!"
+
+ if [[ "${PN}" == "xulrunner" ]]; then
+ einfo "Don't forget to rebuild firefox/thunderbird to update it to the same changeset"
+ else
+ ewarn "All the packages built against ${PN} won't compile,"
+ ewarn "any package that fails to build warrants a bug report."
+ einfo "You should build xulrunner first to update the mercurial repository"
+
+ # Update mimedb for the new .desktop file
+ fdo-mime_desktop_database_update
+ fi
+}
diff --git a/eclass/speed-mercurial.eclass b/eclass/speed-mercurial.eclass
deleted file mode 100644
index 5c75211..0000000
--- a/eclass/speed-mercurial.eclass
+++ /dev/null
@@ -1,141 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mercurial.eclass,v 1.15 2010/11/17 18:42:03 nelchael Exp $
-
-# @ECLASS: mercurial.eclass
-# @MAINTAINER:
-# Krzysztof Pawlik <nelchael@gentoo.org>
-# Dirkjan Ochtman <djc@gentoo.org>
-# @BLURB: This eclass provides generic mercurial fetching functions
-# @DESCRIPTION:
-# This eclass provides generic mercurial fetching functions. To fetch sources
-# from mercurial repository just set EHG_REPO_URI to correct repository URI. If
-# you need to share single repository between several ebuilds set EHG_PROJECT to
-# project name in all of them.
-
-inherit eutils
-
-EXPORT_FUNCTIONS src_unpack
-
-DEPEND="dev-vcs/mercurial"
-
-# @ECLASS-VARIABLE: EHG_REPO_URI
-# @DESCRIPTION:
-# Mercurial repository URI.
-
-# @ECLASS-VARIABLE: EHG_REVISION
-# @DESCRIPTION:
-# Create working directory for specified revision, defaults to tip.
-#
-# EHG_REVISION is passed as a value for --rev parameter, so it can be more than
-# just a revision, please consult `hg help revisions' for more details.
-[[ -z "${EHG_REVISION}" ]] && EHG_REVISION="tip"
-
-# @ECLASS-VARIABLE: EHG_STORE_DIR
-# @DESCRIPTION:
-# Mercurial sources store directory. Users may override this in /etc/make.conf
-[[ -z "${EHG_STORE_DIR}" ]] && EHG_STORE_DIR="${PORTAGE_ACTUAL_DISTDIR:-${DISTDIR}}/hg-src"
-
-# @ECLASS-VARIABLE: EHG_PROJECT
-# @DESCRIPTION:
-# Project name.
-#
-# This variable default to $PN, but can be changed to allow repository sharing
-# between several ebuilds.
-[[ -z "${EHG_PROJECT}" ]] && EHG_PROJECT="${PN}"
-
-# @ECLASS-VARIABLE: EHG_QUIET
-# @DESCRIPTION:
-# Suppress some extra noise from mercurial, set it to 'OFF' to be louder.
-: ${EHG_QUIET:="ON"}
-[[ "${EHG_QUIET}" == "ON" ]] && EHG_QUIET_CMD_OPT="--quiet"
-
-# @ECLASS-VARIABLE: EHG_CLONE_CMD
-# @DESCRIPTION:
-# Command used to perform initial repository clone.
-[[ -z "${EHG_CLONE_CMD}" ]] && EHG_CLONE_CMD="hg clone ${EHG_QUIET_CMD_OPT} --pull --noupdate"
-
-# @ECLASS-VARIABLE: EHG_PULL_CMD
-# @DESCRIPTION:
-# Command used to update repository.
-[[ -z "${EHG_PULL_CMD}" ]] && EHG_PULL_CMD="hg pull ${EHG_QUIET_CMD_OPT}"
-
-# @ECLASS-VARIABLE: EHG_OFFLINE
-# @DESCRIPTION:
-# Set this variable to a non-empty value to disable the automatic updating of
-# a mercurial source tree. This is intended to be set outside the ebuild by
-# users.
-EHG_OFFLINE="${EHG_OFFLINE:-${ESCM_OFFLINE}}"
-
-# @FUNCTION: mercurial_fetch
-# @USAGE: [repository_uri] [module] [sourcedir]
-# @DESCRIPTION:
-# Clone or update repository.
-#
-# If repository URI is not passed it defaults to EHG_REPO_URI, if module is
-# empty it defaults to basename of EHG_REPO_URI, sourcedir defaults to S.
-function mercurial_fetch {
- debug-print-function ${FUNCNAME} ${*}
-
- EHG_REPO_URI=${1-${EHG_REPO_URI}}
- [[ -z "${EHG_REPO_URI}" ]] && die "EHG_REPO_URI is empty"
-
- local module="${2-$(basename "${EHG_REPO_URI}")}"
- local sourcedir="${3-${S}}"
-
- # Should be set but blank to prevent using $HOME/.hgrc
- export HGRCPATH=
-
- # Check ${EHG_STORE_DIR} directory:
- addwrite "$(dirname "${EHG_STORE_DIR}")" || die "addwrite failed"
- if [[ ! -d "${EHG_STORE_DIR}" ]]; then
- mkdir -p "${EHG_STORE_DIR}" || die "failed to create ${EHG_STORE_DIR}"
- chmod -f g+rw "${EHG_STORE_DIR}" || \
- die "failed to chown ${EHG_STORE_DIR}"
- fi
-
- # Create project directory:
- mkdir -p "${EHG_STORE_DIR}/${EHG_PROJECT}" || \
- die "failed to create ${EHG_STORE_DIR}/${EHG_PROJECT}"
- chmod -f g+rw "${EHG_STORE_DIR}/${EHG_PROJECT}" || \
- echo "Warning: failed to chmod g+rw ${EHG_PROJECT}"
- cd "${EHG_STORE_DIR}/${EHG_PROJECT}" || \
- die "failed to cd to ${EHG_STORE_DIR}/${EHG_PROJECT}"
-
- # Clone/update repository:
- if [[ ! -d "${module}" ]]; then
- einfo "Cloning ${EHG_REPO_URI} to ${EHG_STORE_DIR}/${EHG_PROJECT}/${module}"
- ${EHG_CLONE_CMD} "${EHG_REPO_URI}" "${module}" || {
- rm -rf "${module}"
- die "failed to clone ${EHG_REPO_URI}"
- }
- cd "${module}"
- elif [[ -z "${EHG_OFFLINE}" ]]; then
- einfo "Updating ${EHG_STORE_DIR}/${EHG_PROJECT}/${module} from ${EHG_REPO_URI}"
- cd "${module}" || die "failed to cd to ${module}"
- ${EHG_PULL_CMD} || die "update failed"
- fi
-
- # Checkout working copy:
- einfo "Creating working directory in ${sourcedir} (target revision: ${EHG_REVISION})"
- hg archive \
- ${EHG_QUIET_CMD_OPT} \
- --rev="${EHG_REVISION}" \
- -R "${EHG_STORE_DIR}/${EHG_PROJECT}/${module}" \
- "${sourcedir}" || die "hg clone failed"
- # An exact revision helps a lot for testing purposes, so have some output...
- # id num branch
- # fd6e32d61721 6276 default
-# local HG_REVDATA=($(hg identify -b -i "${sourcedir}"))
-# export HG_REV_ID=${HG_REVDATA[0]}
-# local HG_REV_BRANCH=${HG_REVDATA[1]}
-# einfo "Work directory: ${sourcedir} global id: ${HG_REV_ID} branch: ${HG_REV_BRANCH}"
- einfo "Work directory: ${sourcedir}"
-}
-
-# @FUNCTION: mercurial_src_unpack
-# @DESCRIPTION:
-# The mercurial src_unpack function, which will be exported.
-function speed-mercurial_src_unpack {
- mercurial_fetch
-}
diff --git a/net-libs/xulrunner/files/xulrunner-default-prefs.js b/net-libs/xulrunner/files/default-prefs.js
index 9286a6a..9286a6a 100644
--- a/net-libs/xulrunner/files/xulrunner-default-prefs.js
+++ b/net-libs/xulrunner/files/default-prefs.js
diff --git a/net-libs/xulrunner/xulrunner-9999.ebuild b/net-libs/xulrunner/xulrunner-9999.ebuild
index be90c53..49e229d 100644
--- a/net-libs/xulrunner/xulrunner-9999.ebuild
+++ b/net-libs/xulrunner/xulrunner-9999.ebuild
@@ -3,15 +3,8 @@
# $Header: $
EAPI="3"
-WANT_AUTOCONF="2.1"
-: ${EHG_QUIET:=OFF} # geeks prefer verbose stuff
-inherit flag-o-matic toolchain-funcs eutils prefix mozconfig-3 makeedit multilib pax-utils autotools python speed-mercurial
-
-EHG_REPO_URI="http://hg.mozilla.org/mozilla-central/"
-
-MAJ_XUL_PV="2.0"
-MAJ_FF_PV="4.0"
+inherit mozilla-scm
DESCRIPTION="Mozilla runtime package that can be used to bootstrap XUL+XPCOM applications"
HOMEPAGE="http://developer.mozilla.org/en/docs/XULRunner"
@@ -19,43 +12,22 @@ HOMEPAGE="http://developer.mozilla.org/en/docs/XULRunner"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
SLOT="1.9"
LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
-IUSE="+alsa debug +ipc libnotify system-sqlite +webm wifi"
+IUSE="debug"
RDEPEND="
- >=sys-devel/binutils-2.16.1
- >=dev-libs/nss-3.12.9
- >=dev-libs/nspr-4.8.7
- >=app-text/hunspell-1.2
- >=x11-libs/cairo-1.10.2[X]
- >=dev-libs/libevent-1.4.7
- x11-libs/pango[X]
- media-libs/libpng[apng]
x11-libs/libXt
x11-libs/pixman
- webm? ( media-libs/libvpx )
- alsa? ( media-libs/alsa-lib )
- libnotify? ( >=x11-libs/libnotify-0.4 )
- system-sqlite? ( >=dev-db/sqlite-3.7.4[fts3,secure-delete,unlock-notify] )
- wifi? ( net-wireless/wireless-tools )
- !www-plugins/weave"
+ >=dev-libs/libevent-1.4.7
+ !www-plugins/weave
+ "
DEPEND="${RDEPEND}
=dev-lang/python-2*[threads]
- dev-util/pkgconfig
dev-lang/yasm"
SRC_URI=""
S="${WORKDIR}/mozilla-central"
-pkg_setup() {
- # Ensure we always build with C locale.
- export LANG="C"
- export LC_ALL="C"
- export LC_MESSAGES="C"
- export LC_CTYPE="C"
-
- python_set_active_version 2
-}
src_prepare() {
# Gentoo specific stuff
@@ -108,8 +80,6 @@ src_configure() {
mozconfig_init
mozconfig_config
- MEXTENSIONS="default"
-
MOZLIBDIR="/usr/$(get_libdir)/${PN}-${MAJ_XUL_PV}"
# It doesn't compile on alpha without this LDFLAGS
@@ -207,12 +177,10 @@ src_configure() {
}
src_install() {
- emake DESTDIR="${D}" install || die "emake install failed"
+ mozilla-scm_src_install
rm "${ED}"/usr/bin/xulrunner
- MOZLIBDIR="/usr/$(get_libdir)/${PN}-${MAJ_XUL_PV}"
- SDKDIR="/usr/$(get_libdir)/${PN}-devel-${MAJ_XUL_PV}/sdk"
if has_multilib_profile; then
local config
@@ -228,17 +196,6 @@ src_install() {
dodir /etc/env.d
echo "LDPATH=${EPREFIX}/${MOZLIBDIR}" > "${ED}"/etc/env.d/08xulrunner || die "env.d failed"
- # Add our defaults to xulrunner and out of firefox
- cp "${FILESDIR}"/xulrunner-default-prefs.js \
- "${ED}/${MOZLIBDIR}/defaults/pref/all-gentoo.js" || \
- die "failed to cp xulrunner-default-prefs.js"
-
pax-mark m "${ED}"/${MOZLIBDIR}/plugin-container
}
-pkg_postinst() {
- ewarn "This is experimental DO NOT file a bug report unless you can"
- ewarn "are willing to provide a patch. All bugs that are filled without a patch"
- ewarn "will be closed INVALID!!"
- einfo "Don't forget to rebuild firefox to update it to the same changeset"
-}
diff --git a/www-client/firefox/files/firefox-default-prefs.js b/www-client/firefox/files/default-prefs.js
index f7c031e..f7c031e 100644
--- a/www-client/firefox/files/firefox-default-prefs.js
+++ b/www-client/firefox/files/default-prefs.js
diff --git a/www-client/firefox/firefox-9999.ebuild b/www-client/firefox/firefox-9999.ebuild
index 42985f3..c446037 100644
--- a/www-client/firefox/firefox-9999.ebuild
+++ b/www-client/firefox/firefox-9999.ebuild
@@ -3,19 +3,8 @@
# $Header: $
EAPI="3"
-WANT_AUTOCONF="2.1"
-: ${EHG_QUIET:=OFF} # geeks prefer verbose stuff
-inherit flag-o-matic toolchain-funcs eutils prefix mozconfig-3 makeedit multilib pax-utils autotools python speed-mercurial fdo-mime mozextension
-
-EHG_REPO_URI="http://hg.mozilla.org/mozilla-central/"
-EHG_PROJECT="xulrunner"
-# It avoids having some funny changesets that breaks all because
-# the xulrunner build time and hg clone time are quite long
-EHG_OFFLINE=y
-
-MAJ_XUL_PV="2.0"
-MAJ_FF_PV="4.0"
+inherit mozilla-scm
DESCRIPTION="Firefox Web Browser"
HOMEPAGE="http://www.mozilla.com/firefox"
@@ -23,46 +12,17 @@ HOMEPAGE="http://www.mozilla.com/firefox"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
SLOT="0"
LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
-IUSE="+alsa +ipc libnotify system-sqlite +webm wifi"
-
-RDEPEND="
- >=sys-devel/binutils-2.16.1
- >=dev-libs/nss-3.12.9
- >=dev-libs/nspr-4.8.7
- >=app-text/hunspell-1.2
- >=x11-libs/cairo-1.8.8[X]
- x11-libs/pango[X]
- media-libs/libpng[apng]
- webm? ( media-libs/libvpx )
- alsa? ( media-libs/alsa-lib )
- libnotify? ( >=x11-libs/libnotify-0.4 )
- system-sqlite? ( >=dev-db/sqlite-3.7.4[fts3,secure-delete,unlock-notify] )
- wifi? ( net-wireless/wireless-tools )
- ~net-libs/xulrunner-9999[wifi=,libnotify=,system-sqlite=,webm=]"
-
-DEPEND="${RDEPEND}
- dev-util/pkgconfig
- webm? ( dev-lang/yasm )"
+IUSE=""
+
+DEPEND="
+ webm? ( dev-lang/yasm )
+ "
SRC_URI=""
S="${WORKDIR}/mozilla-central"
QA_PRESTRIPPED="usr/$(get_libdir)/${PN}/firefox"
-pkg_setup() {
- # Ensure we always build with C locale.
- export LANG="C"
- export LC_ALL="C"
- export LC_MESSAGES="C"
- export LC_CTYPE="C"
-
- elog "You are enabling official branding. You may not redistribute this build"
- elog "to any users on your network or the internet. Doing so puts yourself into"
- elog "a legal problem with Mozilla Foundation"
-
- python_set_active_version 2
-}
-
src_prepare() {
# Gentoo specific stuff
epatch "${FILESDIR}"/gentoo-specific.patch
@@ -89,7 +49,6 @@ src_prepare() {
src_configure() {
MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
- MEXTENSIONS="default"
####################################
#
@@ -178,33 +137,11 @@ src_configure() {
CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" PYTHON="$(PYTHON)" econf
}
-src_compile() {
- # Should the build use multiprocessing? Not enabled by default, as it tends to break
- [ "${WANT_MP}" = "true" ] && jobs=${MAKEOPTS} || jobs="-j1"
- emake ${jobs} || die
-}
-
src_install() {
- MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
- emake DESTDIR="${D}" install || die "emake install failed"
-
- # Install icon and .desktop for menu entry
- newicon "${S}"/other-licenses/branding/firefox/content/icon48.png ${PN}-icon.png
- newmenu "${FILESDIR}"/${PN}.desktop \
- ${PN}.desktop
-
- # Add StartupNotify=true bug 237317
- if use startup-notification ; then
- echo "StartupNotify=true" >> "${ED}"/usr/share/applications/${PN}.desktop
- fi
+ mozilla-scm_src_install
pax-mark m "${ED}"/${MOZILLA_FIVE_HOME}/firefox
- # Enable very specific settings not inherited from xulrunner
- cp "${FILESDIR}"/firefox-default-prefs.js \
- "${ED}/${MOZILLA_FIVE_HOME}/defaults/preferences/all-gentoo.js" || \
- die "failed to cp firefox-default-prefs.js"
# Plugins dir
dosym ../nsbrowser/plugins "${MOZILLA_FIVE_HOME}"/plugins \
@@ -215,13 +152,3 @@ src_install() {
-i "${ED}/${MOZILLA_FIVE_HOME}/application.ini" || \
die "sparc sed failed"; }
}
-
-pkg_postinst() {
- ewarn "All the packages built against ${PN} won't compile,"
- ewarn "any package that fails to build warrants a bug report."
- elog
- einfo "You should build xulrunner first to update the mercurial repository"
-
- # Update mimedb for the new .desktop file
- fdo-mime_desktop_database_update
-}